# -*- coding: utf-8 -*-
##############################################################################
#
#    wms module for OpenERP, WMS Extended for Open ERP
#    Copyright (C) 2010 SYLEAM Info Services (<http://www.syleam.fr/>)
#              Christophe CHAUVET <christophe.chauvet@syleam.fr>
#
#    This file is a part of wms
#
#    wms is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    wms is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

{
    'name': 'WMS',
    'version': '0.2.1',
    'category': 'Generic Modules/Inventory Control',
    'description': """WMS Extended for Open ERP
- Picking must be affected to a warehouse
- Time to made the picking can be entry
- User can select his  default warehouse in his preferences
- Partner can be affected to one or more warehouses
- remarks can be added on movement (predefine value)
- standalone comment can be add on each movement
- on picking, restrict location on the selected warehouse
- on picking, filter tracking id on the selected product
- dimension and weight can be store on UL

Install user_preferences before

    *************************************************************
    ** THIS MODULE IS IN CONFLICT WITH stock_location MODULE ****
    *************************************************************

""",
    'author': 'SYLEAM',
    'website': 'http://www.syleam.fr/',
    'depends': [
        'base',
        'product',
        'stock',
        'wms_location',
        'user_preferences',
    ],
    'init_xml': [
        'data/analysis.xml',
        'data/remarks.xml',
    ],
    'update_xml': [
        'security/groups.xml',
        'security/rules.xml',
        'security/ir.model.access.csv',
        'data/sequence.xml',
        'view/menu.xml',
        'view/company.xml',
        'view/picking.xml',
        'view/burst.xml',
        'view/move.xml',
        'view/users.xml',
        'view/partner.xml',
        'view/tracking.xml',
        'view/analysis.xml',
        'view/product.xml',
        'view/location.xml',
        'view/warehouse.xml',
        'view/lot.xml',
        'view/round.xml',
        'view/report_stock.xml',
        'wizard/wizard.xml',
        #'report/report.xml',
    ],
    'demo_xml': [
        'demo/warehouse.xml',
        'demo/round.xml',
        'demo/partner.xml',
        'demo/users.xml',
        'demo/product.xml',
        'demo/picking_fixed_location.xml',
        'demo/picking_move_product_other_location.xml',
        #'demo/split_line_available.xml',
        #'demo/picking_crossdock_one.xml',
        #'demo/monday_round.xml',
        #'demo/burst_in.xml',
        #'demo/burst_out.xml',
    ],
    'installable': True,
    'active': False,
    'license': 'GPL-3',
}

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
