# -*- coding: utf-8 -*-
##############################################################################
#
#    wms module for OpenERP, WMS Extended for Open ERP
#    Copyright (C) 2010 SYLEAM (<http://syleam.fr/>)
#              Christophe Chauvet <christophe.chauvet@syleam.fr>
#
#    This file is a part of wms
#
#    wms is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    wms is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv
from osv import fields

class ResPartner(osv.osv):
    _inherit = 'res.partner'

    _columns = {
        'warehouse_ids': fields.many2many('stock.warehouse', 'res_partner_warehouse_rel', 'partner_id', 'warehouse_id', 'Warehouses',
            help='Select the warehouse where the product must be stored',),
        'is_transporter': fields.boolean('Transporter ?', help='Check this if the partner is a transporter'),
        'round_id': fields.many2one('stock.round', 'Round', help='Use to group deliveries'),
    }

    _defaults = {
        'warehouse_ids': lambda obj, cr, uid, context: obj.pool.get('res.users')._default_warehouse(cr, uid, {'M2M': True}),
        'is_transporter': lambda *a: False,
        'round_id': lambda *a: False,
    }

ResPartner()

class ResPartnerAddress(osv.osv):
    _inherit = 'res.partner.address'

    _columns = {
        'round_id': fields.many2one('stock.round', 'Round', help='Use to group deliveries'),
    }

    _defaults = {
        'round_id': lambda *a: False,
    }

ResPartnerAddress()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
